@ECHO OFF


REM ############################################################################
REM Folgende Parameter mssen berprft und evtl. angepasst werden.
REM ############################################################################

REM (1) Allgemeine Einstellungen laden.
CALL ..\..\skripte-dosshell\einstellungen.bat

REM (2) Parameter fr den Java-Interpreter, als Standard werden die
REM Einstellungen aus einstellungen.bat verwendet. Kann verwendet werden, wenn
REM (1) nicht funktioniert.
REM SET jvmArgs=-Dfile.encoding=ISO-8859-1
SET jvmArgs=%jvmArgs% -Xmx256m

REM (3) Parameter fr den Datenverteiler, als Standard werden die Einstellungen
REM aus einstellungen.bat verwendet. Kann verwendet werden, wenn (1) nicht
REM funktioniert.
REM SET dav1=-datenverteiler=localhost:8083 -benutzer=Tester -authentifizierung=passwd -debugFilePath=..

REM (4) Gibt die maximale Anzahl gleichzeitiger Lernthreads vor. Standard ist
REM die doppelte Anzahl Prozessoren bzw. Prozessorkerne.
REM SET maxThreads=-maxThreads=1

REM (5) Beschrnkt zu Testzwecken das Lernen auf einen einzelnen
REM Messquerschnitt.
REM SET MQ=-MQ=


REM ############################################################################
REM Ab hier muss nichts mehr angepasst werden

REM Applikation starten
CHCP 1252
TITLE Automatisches Lernen Ganglinien
java %jvmArgs% -jar %jar% ^
	%dav1% ^
	-debugLevelFileText=all ^
	-debugLevelStdErrText=all ^
	-debugSetLoggerAndLevel=:warning ^
	-debugSetLoggerAndLevel=de.bsvrz.iav:config ^
	%maxThreads% %MQ%

REM Nach dem Beenden warten, damit Meldungen gelesen werden knnen
PAUSE
